Tool Selection
curl --request GET \
--url https://api.wild-card.ai/search \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.wild-card.ai/search"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://api.wild-card.ai/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"points": [
{
"id": "<string>",
"version": 123,
"score": 123,
"payload": {
"agentsJson": "<string>",
"info": {
"title": "<string>",
"version": "<string>",
"description": "<string>"
},
"sources": [
{
"id": "<string>",
"path": "<string>"
}
],
"overrides": "<array>",
"flows": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"actions": [
{
"id": "<string>",
"sourceId": "<string>",
"operationId": "<string>"
}
],
"links": [
{
"origin": {
"actionId": "<string>",
"fieldPath": "<string>"
},
"target": {
"actionId": "<string>",
"fieldPath": "<string>"
}
}
],
"fields": {
"parameters": "<array>",
"requestBody": {
"content": {},
"required": true
},
"responses": {
"success": {}
}
}
}
]
},
"vector": [
123
],
"shard_key": "<string>",
"order_value": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Search
Tool Selection
Performs a search within the specified collection using a natural language query to find the most relevant tool.
GET
/
search
Tool Selection
Headers
The API key for authenticating the request. You can find your API key in the Wildcard dashboard.
Query Parameters
The search query string.
The ID of the collection to search within (e.g., "c58a5915-7b28-49b1-a28d-d81ffc6f63ea").
Example:
"c58a5915-7b28-49b1-a28d-d81ffc6f63ea"
Response
Successful Response
Show child attributes
Show child attributes
